Skip to main content
`Ctrl`+`K`

# PCMGSetCycleType

Sets the type cycles to use. Use `PCMGSetCycleTypeOnLevel()` for more complicated cycling.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetCycleType(PC pc, PCMGCycleType n)

Logically Collective

## Input Parameters

- pc - the multigrid context

- n - either `PC_MG_CYCLE_V` or `PC_MG_CYCLE_W`

## Options Database Key

- -pc_mg_cycle_type <v,w> - provide the cycle desired

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetCycleTypeOnLevel()`, `PCMGType`, `PCMGCycleType`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

## Examples

src/ksp/ksp/tutorials/ex36.cxx
src/ksp/ksp/tutorials/ex35.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages